aboutsummaryrefslogtreecommitdiff
path: root/databases/phpmyadmin211/files/pkg-install.in
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>2005-10-16 07:41:55 +0000
committercvs2svn <cvs2svn@FreeBSD.org>2005-10-16 07:41:55 +0000
commit40a3261d1a6e2617f6afde0cd6d762a7e211af7a (patch)
treed70bbf882801af3a4e58dde3ed6a1da1849479d4 /databases/phpmyadmin211/files/pkg-install.in
parenta9f801a2186fcb89f70f7dcb211c6d4922c0e3af (diff)
downloadports-40a3261d1a6e2617f6afde0cd6d762a7e211af7a.tar.gz
ports-40a3261d1a6e2617f6afde0cd6d762a7e211af7a.zip
This commit was manufactured by cvs2svn to create tag 'RELEASE_6_0_0'.release/6.0.0
Notes
Notes: svn path=/head/; revision=145533 svn path=/tags/RELEASE_6_0_0/; revision=145534; tag=release/6.0.0
Diffstat (limited to 'databases/phpmyadmin211/files/pkg-install.in')
-rw-r--r--databases/phpmyadmin211/files/pkg-install.in98
1 files changed, 0 insertions, 98 deletions
diff --git a/databases/phpmyadmin211/files/pkg-install.in b/databases/phpmyadmin211/files/pkg-install.in
deleted file mode 100644
index bb4180b2660f..000000000000
--- a/databases/phpmyadmin211/files/pkg-install.in
+++ /dev/null
@@ -1,98 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-PATH=/usr/sbin:/usr/bin:/bin ; export PATH
-
-myadmdir=%%PREFIX%%/%%MYADMDIR%%
-myadmusr=%%MYADMUSR%%
-myadmgrp=%%MYADMGRP%%
-
-myadmgcos="phpMyAdmin Owner"
-myadmhome=/nonexistent
-myadmshell=/sbin/nologin
-
-create_group() {
- local user group gcos home shell
-
- user=$1
- group=$2
- gcos=$3
- home=$4
- shell=$5
-
- if pw groupadd -n $group ; then
- echo "===> Group $group created"
- else
- cat <<-EOERRORMSG
- *** Failed to create the $group group.
-
- Please add the $user user and $group group
- manually with the commands:
-
- pw groupadd -n $group
- pw useradd -n $user -g $group -c "$gcos" \\
- -d $home -s $shell -h -
-
- and retry installing this package.
- EOERRORMSG
- exit 1
- fi
-}
-
-
-create_user() {
- local user group gcos home shell
-
- user=$1
- group=$2
- gcos=$3
- home=$4
- shell=$5
-
- if pw useradd -n $user -g $group -c "$gcos" -d $home -s $shell -h - ; then
- echo "===> Created $user user"
- else
- cat <<-EOERRORMSG
- *** Failed to create the $user user.
-
- Please add the $user user manually with the command:
-
- pw useradd -n $user -g $group -c "$gcos" \\
- -d $home -s $shell -h -
-
- and retry installing this package.
- EOERRORMSG
- exit 1
- fi
-}
-
-
-case $2 in
- PRE-INSTALL)
-
- # Create the myadm user and group if they do not already exist
-
- if pw user show -n $myadmusr >/dev/null 2>&1 ; then
- echo "===> Using pre-existing user $myadmusr"
- else
- if ! pw group show -n $myadmgrp >/dev/null 2>&1 ; then
- create_group $myadmusr $myadmgrp "$myadmgcos" $myadmhome \
- $myadmshell
- fi
- create_user $myadmusr $myadmgrp "$myadmgcos" $myadmhome $myadmshell
- fi
- ;;
- POST-INSTALL)
-
- # Change ownership of the phpMyAdm directory
-
- echo "===> Adjusting file ownership in $myadmdir"
- chown -R $myadmusr:$myadmgrp $myadmdir || exit 1
- ;;
-esac
-
-#
-# That's All Folks!
-#